use std::path::PathBuf;
use crate::inspectors::mime_extension_lookup;
use mime_guess::Mime;
use smartstring::alias::String;

pub struct Findings {
	pub file: PathBuf, // TODO: replace with Path???? <'a> and all that
	pub valid: bool,
	pub mime: Mime,
}

impl Findings {
	pub fn recommended_extension(&self) -> Option<String> {
		mime_extension_lookup(self.mime.clone())
			.map(|extensions| extensions[0].to_owned())
	}
}
